### Function

# Vips concurrency_set

#### Declaration [src]

    void
    vips_concurrency_set (
      int concurrency
    )

#### Description [src]

Sets the number of worker threads that vips should use when running `vips_threadpool_run()`.

The special value 0 means “default”. In this case, the number of threads is set by the environment variable `VIPS_CONCURRENCY`, or if that is not set, the number of threads available on the host machine.

See also

`vips_concurrency_get()`.

#### Parameters

`concurrency`

  Type: `int`

  Number of threads to run.